What is it?

Hotkeycontrol XP is a complete hotkey utility that allows you to set hotkeys to do common tasks like running applications, ejecting your cdrom drives, restarting your computer, controlling active windows, controlling your browser and media player, changing volume, typing in commonly used text (macros) and much more. Besides the regular features, the volume status can be shown on the screen (OSD) or in the tray. You can also display any information on screen for easy access. The program is completely customizable in all aspects and has a great interface. Also the additional keys on your existing Multimedia/Internet keyboard can be used with Hotkeycontrol XP and all the hotkeys are functional even in games and in other full-screen DirectX applications.


Quickstart

  1. Load Hotkeycontrol XP using the startmenu
  2. Right-click the tray icon and click Configure hotkeys
  3. Ignore the Options screen for now. You can configure them later by using the help file
  4. Select which feature to set the hotkeys from the text buttons on the top
  5. Set the hotkeys by selecting either one or more of Shift, ctrl, alt, win and by typing the key in the associated text-box
  6. Click Save setting to save the hotkeys and configuration changes
  7. Click Close window to return to Hotkeycontrol XP


Hotkey basics

This page tells you how to set the hot-keys.

To set a hotkey, select each of the additional keys (ctrl, alt, shift, win) and then type a key in the associated text area after clicking in it. The number displayed as tooltip is the keycode of the key you pressed. This is used by the program and you donot require to know it. In the text area the actual key is displayed .If ??? is displayed, the program does not understand the key you typed in, however, the hotkey will still work properly.

To remove a Hotkey, double-click in the text area.

To set Tab key, which can not be set by typing in the text area, press either num, caps, or scroll lock key in the text area.

If you want to assign the keys on your multimedia keyboard to perform a task, just click in the text area and press the multimedia key. A ??? will be displayed. Save the settings and now you can use your multimedia key as a Hotkey. You can also use single keys to perform a task. For example in keyboards with Numpad, you can use the number keys alone as hotkeys and thus you can play, eject or perform any feature using single keys without any ctrl, alt, shift. However, using single keys will obviously disable the original key.

In games and other direct 3D applications, the hotkey will be sent to the active application also. For ex: If 'E' is set to Eject the tray, pressing E in most games will cause the tray to open as well as the action to be performed for E in the game will also occur. Also, in some rare occasions, some programs or games may not permit certain keys. You will need to use alternate hotkeys. And, if you set a same hotkey combination for two or features, both will be performed (not recommended).

Remember that after you change any options, you have to press the Save settings button to save the settings.

An example of a hotkey (Win + B) is shown in the below image.


Tray

The tray icon can be used to control Hotkeycontrol XP (just like core hotkeys) Just note that all the settings 2,3,4 here are temporary. They are meant only for realtime control and are not saved and loaded the next time the program starts.

  1. Configure hotkeys: Show the main window to set hotkeys.
  2. Deactivate hotkeys: Deactivate all hotkeys when checked.
  3. Disable OSD: Disable OSD when checked.
  4. Toggle web/media keys: Toggle browser and media hotkeys when checked (from that chosen).
  5. About: Shows the about screen to check for updates and for other information.
  6. Quit: Quits the program.

To discard the menu, click the tray icon.


These are the core hotkeys used internally by Hotkeycontrol XP

These are the core hotkeys which can be used to control Hotkeycontrol XP (the same control is available from the tray icon also). Just note that all the settings here are temporary. They are meant only for realtime control and are not saved and loaded the next time the program starts.

  1. Control-Shift-S: Show the main window to set hotkeys.

  2. Control-Shift-D: Deactivate all hotkeys. Press it again to activate.

  3. Control-Shift-E: Disable OSD. Press it again to enable.

  4. Control-Shift-W: Toggle browser and media hotkeys.


Options

Check the Use tray icon to show the tray-icon. This must be checked for the volume-control tray icon to be shown if it is set in the volume control tab (recommended).

If the tray icon is enabled, you can Disable core hotkeys which are the hotkeys used by Hotkeycontrol XP internally.

Check Enable OSD to use On Screen Display. OSD is a revolutionary feature which allows convenient display of messages on screen without any obstruction. This must be enabled if you want to use display volume-control avi which is set in volume control tab. The options you set here are used for showing hotkey messages and volume-control avi. Requires Windows XP or Windows 2000.

Choose where to place OSD by selecting one of the Align modes options in the list-box. Check the use translucency box to display OSD as translucent.

Select the Font, Fontsize and Color for the messages.

OSD may or may not work with games depending on the type of game you are playing .In either case ,it will not cause any interruption to your game and the associated action will also be performed correctly. In most games, OSD just flickers and so you can see the volume level. OSD however works perfectly with DirectDraw applications such as movie players.

Set the Time in seconds for which the OSD or tray icon is displayed by using the scroll-bar. It should be from 1 to 5 seconds.

Check the Display splash screen box to show a splash screen while Hotkeycontrol XP loads.

Click Play this sound file when any hotkeys is pressed to play a short sound when any hotkey except volume control hotkeys are pressed. Select the wave file by clicking wave. The tooltip on wave button shows the currently selected wave file.

You can save or load all the settings to a file by clicking export or import buttons. The exported file can only be used with this version but not the previous or next versions.


Support

Hotkeycontrol XP 4.0 is a freeware application. But users are urged to donate to support the development of Hotkeycontrol XP.

Donate

Feel free to send suggestions, bug reports, comments and questions.

Lead programmmer:Jake rockwell

Email the author: rockwell@digital-miner.com

Homepage: http://www.digital-miner.com


Open files

These hotkeys let you to open any file, folder, webpage and run any program.

To run a program click Browse and then Open file and select the program you wish to run for each hotkey. If you wish to run the program with command-line parameters ,type the parameters in the next box otherwise just leave the next box empty and click Ok.

To open a file using the default program, browse for the file. To open a folder, website or any other location, click Browse and then click Open location

When you pause on the Browse button, for each hotkey, the currently selected file is displayed as a tip.


Volume control

These hotkeys let you control the volume and display the status on screen or in the tray (optional).

Select the number of steps in which the volume should be varied. More the number of steps, smoother is the volume control but longer time is taken to change the volume.

Select Display volume using tray icon and select an icon library file which is displayed when volume is changed. You can create your own icon library files .icl using Microangelo (http://www.impactsoft.com). Remember, when you create an icon library, make sure it has 15 icons in it. The 15th icon is displayed when volume is maximum. If this option is disabled ,first check the Use tray icon option in the Options window.

Select Display volume on screen to show the volume on the screen when it is changed. You need to Enable OSD and configure the alignment and translucency settings from the Options tab.

Select a uncompressed avi file without sound to display the volume level. The avi file should contain exactly 50 frames. The frames will be automatically chosen so as to display any number of steps. The first frame will be displayed for the lowest volume and so on. All pink (R:255,G:0,B:255) areas will be displayed as Transparent in OSD.


Shutdown/restart/logoff

These hotkeys let you shutdown, restart or suspend your computer.

Set hotkeys for each of the purpose. OSD will not be used for operations listed in this page.


Macros

These hotkeys let you send keystrokes to the active window. This function can be used to type a pre-entered text like cheats for a game, disable certain keys or key combination, or remap the keyboard

For each hotkey, type in the keystrokes normally. Select any advanced keys from the button beside it. Additional keys not present in the menu are to be entered manually in similar fashion, for example f2 is to be entered as {F2} (similar to F1 which is obtained from the menu)

For ex:

To type:

"hotkeycontrol xp

is the best"

enter the following into the text box - hotkeycontrol xp{ENTER}is the best. To get the code for enter key, click key and select enter from the menu

^V{ENTER} will paste the data and press enter key in the active window.(^ stands for control which is directly typed in by clicking Control in the menu obtained by clicking key).

To type abc with shift key down, use a format as +(abc) (just enclose the required text in brackets after + (for shift))

This feature is quite experimental so if it doesn't work, don't waste anytime on it.


Cd play/eject

These hotkeys let you to control your cdrom drive.

Ejecting or closing a CD tray will work only if both are done with hotkeys. For ex:When you press the hotkey, the tray will be ejected and when you press the hotkey again, the tray will be closed. However, if you close the tray manually, then to eject the tray next time, you will have to press the hotkey twice. At any time, if the tray does not open or close, just press the hotkey again.

The play and stop hotkeys are valid only for pure audio CD's placed in the first CDROM drive.


Window Close/hide

These hotkeys let you hide, close, minimize, maximize and keep the active window on top using hotkeys.

Hide/unhide window: Pressing the hide/unhide window hotkey once will hide the active window. Pressing the hotkey again will not hide the next active window, instead it will unhide the previous window.

Close window: Closes the active window.

Always on top On/Off: If the active window is current always on top, the hotkey makes it a normal window. If the active window is normal window, the hotkey makes it stay on top.

Minimize window: Minimizes the active window.

Maximize window: Maximizes or restores the active window.


Image Display

These hotkeys let you display any bitmap on screen. This can be used to display any information easily while working with other applications. These hotkeys only work in Windows XP or Windows 2000.

For each hotkey, browse for an image file. The image file selected is displayed as a tip.
The Image on screen display options are similar to the OSD options. These are used to display these images but not for displaying other messages or the volume. Press the same hotkey to unload the image before timeout period.

Image on screen display works well with normal windows and directdraw applications but will work with direct3d games only in a few cases. In any direct3d game, pause the game before trying the hotkeys since image display will work with some games only when they are paused.

The images are loaded eachtime the hotkey is pressed and then unloaded. So, you can use a common bitmap for a purpose and edit it without needing to edit the options in Hotkeycontrol. Because the images are not loaded during program startup and are not in the memory, the size of the images can be as large as required.

You can display text information as well by putting it on a bitmap by using Text tool in Paint brush (mspaint) or by any other program and selecting the background color same as the transparent color.


Internet/media hotkeys

These hotkeys let you use your keyboard as an Internet or multimedia keyboard. These hotkeys only work in Windows XP or Windows 2000.

These hotkeys are shared by two categories - Browser and media hotkeys and only one of the two can be active at a time. Unlike other hotkeys, the target application i.e. the browser or media player must be active to receive messages.

Browser refresh/Media play: Refreshes the current page/Plays the currently open file.

Browser stop/Media stop: Stops loading current page/Stops playing current file.

Browser next/Media next: Next page/Plays the next file in the playlist.

Browser back/Media previous: Earlier page/Plays the previous file in the playlist.

The browser keys have been tested with Internet explorer but may work with Netscape Navigator also. The media keys will work with any application using Windows media interface (WMI).